List Archive: gentoo-commits
nyhm 09/11/03 21:40:13
Modified: ChangeLog uz2unpack-0.1.ebuild
Log:
Respect LDFLAGS
(Portage version: 2.2_rc48/cvs/Linux x86_64)
Revision Changes Path
1.6 games-util/uz2unpack/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/ChangeLog?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/ChangeLog?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/ChangeLog?r1=1.5&r2=1.6
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-util/uz2unpack/ChangeLog,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- ChangeLog 8 Feb 2007 22:45:18 -0000 1.5
+++ ChangeLog 3 Nov 2009 21:40:12 -0000 1.6
@@ -1,6 +1,9 @@
# ChangeLog for games-util/uz2unpack
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-util/uz2unpack/ChangeLog,v 1.5 2007/02/08 22:45:18 wolf31o2 Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/uz2unpack/ChangeLog,v 1.6 2009/11/03 21:40:12 nyhm Exp $
+
+ 03 Nov 2009; Tristan Heaven <nyhm@g.o> uz2unpack-0.1.ebuild:
+ Respect LDFLAGS
08 Feb 2007; Chris Gianelloni <wolf31o2@g.o> ChangeLog:
Regenerate digest in Manifest2 format.
1.8 games-util/uz2unpack/uz2unpack-0.1.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild?r1=1.7&r2=1.8
Index: uz2unpack-0.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- uz2unpack-0.1.ebuild 5 Feb 2006 04:47:31 -0000 1.7
+++ uz2unpack-0.1.ebuild 3 Nov 2009 21:40:12 -0000 1.8
@@ -1,12 +1,12 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild,v 1.7 2006/02/05 04:47:31 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-util/uz2unpack/uz2unpack-0.1.ebuild,v 1.8 2009/11/03 21:40:12 nyhm Exp $
inherit toolchain-funcs
DESCRIPTION="UZ2 Decompressor for UT2003/UT2004"
HOMEPAGE="http://icculus.org/cgi-bin/ezmlm/ezmlm-cgi?42:mss:1013:200406:kikgppboefcimdbadcdo"
-SRC_URI="http://dev.gentoo.org/~wolf31o2/sources/${PN}/${P}.tar.bz2"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="as-is"
SLOT="0"
@@ -15,16 +15,11 @@
DEPEND="sys-libs/zlib"
-pkg_setup() {
- einfo "This package is required for ut2003 and ut2004."
-}
-
src_compile() {
- $(tc-getCC) -o ${PN} ${CFLAGS} ${PN}.c -lz || die "Error compiling"
+ emake CC="$(tc-getCC)" LDLIBS=-lz ${PN} || die "emake failed"
}
src_install() {
- exeinto /usr/bin
- doexe uz2unpack || die "doexe failed"
+ dobin ${PN} || die "dobin failed"
dodoc README
}
|
|